%{?nodejs_find_provides_and_requires}

%global packagename is-windows
%global enable_tests 0

Name:		nodejs-is-windows
Version:	1.0.2
Release:	%mkrel 3
Summary:	Returns true if the platform is windows

License:	MIT
URL:		https://github.com/jonschlinkert/is-windows.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball. Releases are not tagged,
# so we have to pull from "master"
Source1:	https://raw.githubusercontent.com/jonschlinkert/is-windows/master/test.js
Group:          Development/Other

BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Returns true if the platform is windows.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
echo "Tests are disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-3.mga8
+ Revision: 1502920
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.2-2.mga7
+ Revision: 1280535
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 1.0.2-1.mga7
+ Revision: 1225860
- Update to version 1.0.2

* Fri May 13 2016 joequant <joequant> 0.1.1-1.mga7
+ Revision: 1014769
- imported package nodejs-is-windows

